# Class CIM_EndpointInLink
extends CIM_MemberOfCollection

This association connects an OSPFLink to the OSPFProtocol Endpoints that this link aggregates.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_MemberOfCollection
|
+--CIM_EndpointInLink

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | This association connects an OSPFLink to the OSPFProtocol Endpoints that this link aggregates.
UMLPackagePath | string | CIM::Network::OSPF
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Collection | CIM_EndpointInLink | CIM_OSPFLink
Member | CIM_EndpointInLink | CIM_OSPFProtocolEndpointBase

## Class Methods